﻿
    @model AuthnData.Models.Login.RegisterViewModel
      
    @{  
        ViewData["Title"] = "Inscription";  
    }  
    <div>
        <h1>Insciption</h1>  
    </div>
    <hr />  
    <div class="row custom-flex-row">  
        <div class="col-md-9 custom-flex-register">  
            <form asp-controller="Login" asp-action="Create" class="custom-register-form" method="post">  
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>  
                  
                <div class="form-group custom-flex-register-form-elemets">  
                    <label asp-for="Email" class="control-label custom-form-control-label"></label>  
                    <input asp-for="Email" class="form-control custom-form-control" placeholder="ex: exemple@mail.fr" />  
                    <span asp-validation-for="Email" class="text-danger"></span>  
                </div>  
                <hr class="hr-register"/>
                <div class="form-group custom-flex-register-form-elemets">  
                    <label asp-for="Password" class="control-label custom-form-control-label"></label>  
                    <input asp-for="Password" class="form-control custom-form-control" type="password" placeholder="ex: Mot-de-pass123"/>  
                    <span asp-validation-for="Password" class="text-danger"></span>  
                </div>  
                <hr class="hr-register"/>
                <div class="form-group custom-flex-register-form-elemets">  
                    <label asp-for="ConfirmPassword" class="control-label custom-form-control-label"></label>  
                    <input asp-for="ConfirmPassword" class="form-control custom-form-control" type="password" placeholder="ex: Mot-de-pass123"/>  
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>  
                </div>
                <hr class="hr-register"/>
                <div class="form-group custom-flex-register-form-elemets">  
                    <label asp-for="Username" class="control-label custom-form-control-label"></label>  
                    <input asp-for="Username" class="form-control custom-form-control" placeholder="ex: Benjamin"/>  
                    <span asp-validation-for="Username" class="text-danger"></span>  
                </div>
                <hr class="hr-register"/>
                <div class="form-group custom-flex-register-form-elemets">  
                    <input type="submit" value="S'enregistrer" class="btn btn-primary" id="colored-button"/>  
                </div>  
                <b>@ViewBag.message</b>  
                    </form>  
                </div>  
            </div>  
      
            <div>  
                <a asp-action="Index">Retour à l'Accueil</a>  
            </div>  
      
            @section Scripts {  
                @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}  
            }  